var win, button, deviceSelectorParent, deviceSelector, deviceList,
	TestModule;
	
var TestModule;
if(!TestModule){
	TestModule = require('com.logicallabs.testmodule');
}


function selectorChangeListener() {
	Ti.API.info('Selection changed!');
}

win = Ti.UI.createWindow({
	title: 'addEventListener1',
	exitOnClose: true,
	backgroundColor: '#ffffff',
	orientationModes: [ Ti.UI.PORTRAIT ],
	layout: 'vertical'
});

deviceSelectorParent = Ti.UI.createView({
	width : Ti.UI.FILL,
	height : '60dp'	
});

deviceSelector = Ti.UI.createPicker({
	width : Ti.UI.FILL,
	height : '60dp'
});
deviceSelector.addEventListener('change', selectorChangeListener);

deviceSelectorParent.add(deviceSelector);

button = Ti.UI.createButton({
	title: 'Add Device',
	width: '50%',
	height: '10%'
});

deviceList = [];

button.addEventListener('click', function() {
	TestModule.sendBroadcast();
});

TestModule.addEventListener('testEvent', function() {
	var rows;
	
	Ti.API.info('received testEvent');
	if (deviceSelector) {
		deviceSelectorParent.remove(deviceSelector);
		//deviceSelector = null;
	}
	
	deviceList.push('Device ' + deviceList.length);
	rows = [];
	
	deviceList.forEach(function(device) {
		rows.push(Ti.UI.createPickerRow({
			title: device
		}));
	});
//	for(var i=0; i<1 ; i=i+1){
//		var val = null;
//		val = "device" + (deviceList.length - 1);
//		rows.push(Ti.UI.createPickerRow({
//			title: val
//		}));
//	}
	
	
	
	deviceSelector = Ti.UI.createPicker({
		width : Ti.UI.FILL,
		height : '60dp'
	});
	
	
	deviceSelector.add(rows);
	
	deviceSelector.addEventListener('change', selectorChangeListener);
	
	deviceSelectorParent.add(deviceSelector);
});

win.add(deviceSelectorParent);
win.add(button);

win.open();